using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Props.Shop.Framework;

namespace Props.Shop.Adafruit.Api
{
    public interface IProductListingManager : IDisposable
    {
        public Task<IReadOnlyDictionary<string, IList<ProductListing>>> ProductListings { get; }
        public void RefreshProductListings();
        public void StartUpdateTimer(int delay = 1000 * 60 * 5, int period = 1000 * 60 * 5);
        public void StopUpdateTimer();

        public DateTime? LastDownload { get; }

        public Task<ProductListing> GetProductListingFromIdentifier(string url);
    }
}