﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using Props.Models.Search;
using Props.Shared.Models.User;

namespace Props.Models.User
{
    public class ApplicationUser : IdentityUser
    {
        [Required]
        public virtual SearchOutlinePreferences searchOutlinePreferences { get; set; }

        [Required]
        public virtual ResultsPreferences ResultsPreferences { get; private set; }

        [Required]
        public virtual ApplicationPreferences ApplicationPreferences { get; private set; }

        public ApplicationUser()
        {
            searchOutlinePreferences = new SearchOutlinePreferences();
            ResultsPreferences = new ResultsPreferences();
            ApplicationPreferences = new ApplicationPreferences();
        }

        public ApplicationUser(SearchOutlinePreferences searchOutlinePreferences, ResultsPreferences resultsPreferences, ApplicationPreferences applicationPreferences)
        {
            this.searchOutlinePreferences = searchOutlinePreferences;
            this.ResultsPreferences = resultsPreferences;
            this.ApplicationPreferences = applicationPreferences;
        }
    }
}
