using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using Props.Models.Search;
using Props.Models.User;

namespace Props.Models.User
{
    public class SearchOutlinePreferences
    {
        public int Id { get; set; }

        [Required]
        public string ApplicationUserId { get; set; }

        [Required]
        public virtual ApplicationUser ApplicationUser { get; set; }

        [Required]
        public virtual IList<SearchOutline> SearchOutlines { get; set; }

        public string NameOfLastUsed { get; set; }

        public SearchOutlinePreferences()
        {
            SearchOutlines = new List<SearchOutline>();
        }

        public SearchOutlinePreferences(List<SearchOutline> searchOutlines, string nameOfLastUsed)
        {
            this.SearchOutlines = searchOutlines;
            this.NameOfLastUsed = nameOfLastUsed;
        }
    }
}