import axios from "axios";

let currentAuthorizationInterceptorID = null;

const apiHttp = axios.create({
    baseURL: window.location.origin + "/api",
    timeout: 3000,
});

function addBearerTokenInterceptor(token) {
    currentAuthorizationInterceptorID = apiHttp.interceptors.request.use((config) => {
        config.headers.Authorization = `Bearer ${token}`;
        return config;
    }, (err) => {
        console.error(err);
    });
}

function removeBearerTokenInterceptor() {
    apiHttp.interceptors.request.eject(currentAuthorizationInterceptorID);
}

export { apiHttp, addBearerTokenInterceptor, removeBearerTokenInterceptor };
