const { merge } = require("webpack-merge");
const common = require("./webpack.common");

let config = {
    mode: "development",
    devtool: "eval-cheap-module-source-map",
    output: {
        pathinfo: false,
    },
    optimization: {
        removeAvailableModules: false,
        removeEmptyChunks: false,
        mergeDuplicateChunks: false,
        providedExports: false,
        splitChunks: false,
        innerGraph: false,
    },
    cache: {
        type: "filesystem",
        buildDependencies: {
            config: [__filename],
        }
    }
};

module.exports = merge(common, config);
